Package net.shibboleth.idp.saml.xml

# Class SAMLConstants

java.lang.Object
net.shibboleth.idp.saml.xml.SAMLConstants

public final class SAMLConstants extends Object
XML related constants used with SAML.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SAML1_ATTR_NAMESPACE_URI`
Legacy Shibboleth SAML 1.x AttributeNamespace for URI-named attributes.
`static final String`
`SAML1_NAMEID_TRANSIENT`
Legacy Shibboleth format for transient IDs in SAML 1.x.
`static final String`
`SAML1_REQUEST_BINDING`
Proprietary binding for SAML 1.1 authentication requests.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SAML1_NAMEID_TRANSIENT

@Nonnull @NotEmpty public static final String SAML1_NAMEID_TRANSIENT
Legacy Shibboleth format for transient IDs in SAML 1.x.

See Also:
  - Constant Field Values

### SAML1_ATTR_NAMESPACE_URI

@Nonnull @NotEmpty public static final String SAML1_ATTR_NAMESPACE_URI
Legacy Shibboleth SAML 1.x AttributeNamespace for URI-named attributes.

See Also:
  - Constant Field Values

### SAML1_REQUEST_BINDING

@Nonnull @NotEmpty public static final String SAML1_REQUEST_BINDING
Proprietary binding for SAML 1.1 authentication requests.

See Also:
  - Constant Field Values

## Constructor Details

### SAMLConstants

private SAMLConstants()
Constructor.